Flecs: ecs_iter_to_json_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_iter_to_json_desc_t Struct Reference
C API » Addons » Json

Used with ecs_iter_to_json(). More...

`#include <json.h>`

## Public Attributes
bool | serialize_entity_ids
| Serialize entity ids.
bool | serialize_values
| Serialize component values.
bool | serialize_builtin
| Serialize builtin data as components (e.g.
bool | serialize_doc
| Serialize doc attributes.
bool | serialize_full_paths
| Serialize full paths for tags, components and pairs.
bool | serialize_fields
| Serialize field data.
bool | serialize_inherited
| Serialize inherited components.
bool | serialize_table
| Serialize entire table vs.
bool | serialize_type_info
| Serialize type information.
bool | serialize_field_info
| Serialize metadata for fields returned by query.
bool | serialize_query_info
| Serialize query terms.
bool | serialize_query_plan
| Serialize query plan.
bool | serialize_query_profile
| Profile query performance.
bool | dont_serialize_results
| If true, query won't be evaluated.
bool | serialize_alerts
| Serialize active alerts for entity.
ecs_entity_t | serialize_refs
| Serialize references (incoming edges) for relationship.
bool | serialize_matches
| Serialize which queries entity matches with.
bool(* | component_filter )(const ecs_world_t *, ecs_entity_t)
| Callback for if the component should be serialized.
ecs_poly_t * | query
| Query object (required for serialize_query_[plan|profile]).

## Detailed Description

Used with ecs_iter_to_json().

Definition at line 299 of file json.h.

## Member Data Documentation

## ◆ component_filter

bool(* ecs_iter_to_json_desc_t::component_filter) (const ecs_world_t *, ecs_entity_t)

Callback for if the component should be serialized.

Definition at line 318 of file json.h.

## ◆ dont_serialize_results

bool ecs_iter_to_json_desc_t::dont_serialize_results

If true, query won't be evaluated.

Definition at line 313 of file json.h.

## ◆ query

ecs_poly_t* ecs_iter_to_json_desc_t::query

Query object (required for serialize_query_[plan|profile]).

Definition at line 320 of file json.h.

## ◆ serialize_alerts

bool ecs_iter_to_json_desc_t::serialize_alerts

Serialize active alerts for entity.

Definition at line 314 of file json.h.

## ◆ serialize_builtin

bool ecs_iter_to_json_desc_t::serialize_builtin

Serialize builtin data as components (e.g.

"name", "parent")

Definition at line 302 of file json.h.

## ◆ serialize_doc

bool ecs_iter_to_json_desc_t::serialize_doc

Serialize doc attributes.

Definition at line 303 of file json.h.

## ◆ serialize_entity_ids

bool ecs_iter_to_json_desc_t::serialize_entity_ids

Serialize entity ids.

Definition at line 300 of file json.h.

## ◆ serialize_field_info

bool ecs_iter_to_json_desc_t::serialize_field_info

Serialize metadata for fields returned by query.

Definition at line 309 of file json.h.

## ◆ serialize_fields

bool ecs_iter_to_json_desc_t::serialize_fields

Serialize field data.

Definition at line 305 of file json.h.

## ◆ serialize_full_paths

bool ecs_iter_to_json_desc_t::serialize_full_paths

Serialize full paths for tags, components and pairs.

Definition at line 304 of file json.h.

## ◆ serialize_inherited

bool ecs_iter_to_json_desc_t::serialize_inherited

Serialize inherited components.

Definition at line 306 of file json.h.

## ◆ serialize_matches

bool ecs_iter_to_json_desc_t::serialize_matches

Serialize which queries entity matches with.

Definition at line 316 of file json.h.

## ◆ serialize_query_info

bool ecs_iter_to_json_desc_t::serialize_query_info

Serialize query terms.

Definition at line 310 of file json.h.

## ◆ serialize_query_plan

bool ecs_iter_to_json_desc_t::serialize_query_plan

Serialize query plan.

Definition at line 311 of file json.h.

## ◆ serialize_query_profile

bool ecs_iter_to_json_desc_t::serialize_query_profile

Profile query performance.

Definition at line 312 of file json.h.

## ◆ serialize_refs

ecs_entity_t ecs_iter_to_json_desc_t::serialize_refs

Serialize references (incoming edges) for relationship.

Definition at line 315 of file json.h.

## ◆ serialize_table

bool ecs_iter_to_json_desc_t::serialize_table

Serialize entire table vs.

matched components

Definition at line 307 of file json.h.

## ◆ serialize_type_info

bool ecs_iter_to_json_desc_t::serialize_type_info

Serialize type information.

Definition at line 308 of file json.h.

## ◆ serialize_values

bool ecs_iter_to_json_desc_t::serialize_values

Serialize component values.

Definition at line 301 of file json.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/json.h